CHGPASSW(8)

NAZWA
chgpassw - wsadowa aktualizacja haseł grup

SKŁADNIA

chgpassw [opcje]

OPIS

Polecenie chgpasswd czyta pary danych (grupa i hasło) ze standardowego wejścia. Odczytane informacje wykorzystywane są do aktualizacji danych o grupach istniejących użytkowników. Każdy wiersz przekazywanych danych ma postać:

nazwa_grupy:hasło

Domyślnie dostarczane hasła muszą być w postaci jawnej. Podczas kodowania haseł używany jest domyślnie algorytm DES.

Polecenie to przeznaczone jest do użytku w dużych systemach, gdzie aktualizuje się wiele kont naraz.

OPCJE

Polecenie chgpasswd posiada następujące opcje:

-e, --encrypted
    Dostarczone na standardowe wejście hasła są traktowane jako już zakodowane.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-m, --md5
    Jeżeli dpostarczane hasła są w postaci jawnej użyj kodowania MD5 zamiast domyślnego DES.

OSTRZEŻENIA

Pamiętaj żeby zabezpieczyć przed odczytem plik przekazywany na standardowe wejście polecenia.

ZOBACZ TAKŻE

gpasswd(1), groupadd(8).